<?xml version='1.0'?>
<!-- vim: sw=2 sta et
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'
                xml:lang="en">

<!-- ********************************************************************
     $Id: formal.xsl,v 1.4 2003/06/15 21:39:55 stevecheng Exp $
     ********************************************************************

     &copy; 2000 Steve Cheng <stevecheng@users.sourceforge.net>

     Part of docbook2X, DocBook to man page conversion.


     ******************************************************************** -->

<xsl:template name="formal-object">
  <xsl:call-template name="make-caption" />
  <xsl:apply-templates />
</xsl:template>

<xsl:template name="informal-object">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template name="semiformal-object">
  <xsl:choose>
    <xsl:when test="title">
      <xsl:call-template name="formal-object"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="informal-object"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="figure|example">
  <xsl:call-template name="formal-object"/>
</xsl:template>

<xsl:template match="equation">
  <xsl:call-template name="semiformal-object"/>
</xsl:template>

<xsl:template match="informalfigure">
  <xsl:call-template name="informal-object"/>
</xsl:template>

<xsl:template match="informalexample">
  <xsl:call-template name="informal-object"/>
</xsl:template>

<xsl:template match="informalequation">
  <xsl:call-template name="informal-object"/>
</xsl:template>

</xsl:stylesheet>
